| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
huff_entropy_encoder Struct Reference

## Public Attributes
struct jpeg_entropy_encoder | pub
savable_state | saved
unsigned int | restarts_to_go
int | next_restart_num
c_derived_tbl * | dc_derived_tbls [NUM_HUFF_TBLS]
c_derived_tbl * | ac_derived_tbls [NUM_HUFF_TBLS]
long * | dc_count_ptrs [NUM_HUFF_TBLS]
long * | ac_count_ptrs [NUM_HUFF_TBLS]

## Detailed Description

Definition at line 55 of file jchuff.c.

## Member Data Documentation

long* huff_entropy_encoder::ac_count_ptrs[NUM_HUFF_TBLS]

Definition at line 70 of file jchuff.c.

c_derived_tbl* huff_entropy_encoder::ac_derived_tbls[NUM_HUFF_TBLS]

Definition at line 66 of file jchuff.c.

long* huff_entropy_encoder::dc_count_ptrs[NUM_HUFF_TBLS]

Definition at line 69 of file jchuff.c.

c_derived_tbl* huff_entropy_encoder::dc_derived_tbls[NUM_HUFF_TBLS]

Definition at line 65 of file jchuff.c.

int huff_entropy_encoder::next_restart_num

Definition at line 62 of file jchuff.c.

struct jpeg_entropy_encoder huff_entropy_encoder::pub

Definition at line 56 of file jchuff.c.

unsigned int huff_entropy_encoder::restarts_to_go

Definition at line 61 of file jchuff.c.

savable_state huff_entropy_encoder::saved

Definition at line 58 of file jchuff.c.

The documentation for this struct was generated from the following file:

- /usr/local/bsoft/jpeg/jchuff.c